convert external image for test tile and blit hardcoded grid
[retrocrawl] / tools / conv_gimp
diff --git a/tools/conv_gimp b/tools/conv_gimp
new file mode 100755 (executable)
index 0000000..855e5dd
--- /dev/null
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+       echo "pass the header file exported by gimp as argument"
+       exit 1
+fi
+
+cc -pedantic -Wall -DHDRFILE=\"$1\" -o /tmp/conv_gimp.bin conv_gimp.c
+if [ $? != 0 ]; then
+       exit 1
+fi
+
+/tmp/conv_gimp.bin `basename $1 .h`